//+------------------------------------------------------------------+
//|                                                Open_Opposite.mq4 |
//|                                                  A.Lopatin 2009 |
//|                                                   fxprog@mail.ru |
//+------------------------------------------------------------------+
#property copyright "A.Lopatin 2009"
#property link      "fxprog@mail.ru"
#property show_inputs
#include <stdlib.mqh>

extern int TakeProfit=0;
extern int StopLoss=0;
extern double Lots=0.1;
extern int Slippage=2;
extern string PositionComment="";
extern int MagicNumber=0;
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
    double tp=0,sl=0;
    int ticket=-1;
    if(TakeProfit!=0)
      tp=NormalizeDouble(Ask-TakeProfit*Point,Digits);
    if(StopLoss!=0)
      sl=NormalizeDouble(Ask+StopLoss*Point,Digits);   
    ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,Slippage,sl,tp,PositionComment,MagicNumber,0,Red);
    if(ticket<=0)
      Print("Error opening SELL order : ",ErrorDescription(GetLastError()));
    else
    {
        if(TakeProfit!=0)
            tp=NormalizeDouble(Bid+TakeProfit*Point,Digits);
        if(StopLoss!=0)
            sl=NormalizeDouble(Bid-StopLoss*Point,Digits);   
        ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,Slippage,sl,tp,PositionComment,MagicNumber,0,Yellow);
        if(ticket<=0)
            Print("Error opening BUY order : ",ErrorDescription(GetLastError()));
    }
   return(0);
  }
//+------------------------------------------------------------------+